# Interface OpenApiInitOptions

interface OpenApiInitOptions {
load?: boolean | { openApiUrl?: string };
origin?: string;
}

- Defined in packages/angular/open-api/src/lib/open-api-init.ts:6

#####
Index

### Properties

load?
origin?

##
Properties

### `Optional` load

load?: boolean | { openApiUrl?: string }

true - load the open api config file from the default url default url: openapi.json

- Defined in packages/angular/open-api/src/lib/open-api-init.ts:11

### `Optional` origin

origin?: string

The location origin prefix for the open api base urls if the base url is not absolute. defaults to location.origin

- Defined in packages/angular/open-api/src/lib/open-api-init.ts:17